Bug 56 - xterm/gtk+ apps dont work when upgraded to fc 2.1
Summary: xterm/gtk+ apps dont work when upgraded to fc 2.1
Status: RESOLVED FIXED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: library (show other bugs)
Version: 2.1
Hardware: x86 (IA32) Linux (All)
: high critical
Assignee: Keith Packard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-06 12:17 UTC by Olivier Crête
Modified: 2003-04-16 23:19 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Olivier Crête 2003-04-06 12:17:44 UTC
I upgraded to fontconfig 2.1 and gtk+ apps stopped working with a "no fonts
found" messages and xterm just segfaults. I use XF4.3. using cvs patch 20021221
in gentoo over 2.1 has the same problem. I tried running xterm inside gdb and
gdb seems to just freeze and do nothing. I use gentoo, but I use reasonable
cflags (-march=pentium4 -O3 -pipe).
Comment 1 Keith Packard 2003-04-11 14:46:53 UTC
Can you try current fontconfig CVS?  There were numerous bugs related to font
data management in fontconfig 2.1 that have been fixed by now.
Comment 2 Keith Packard 2003-04-17 14:55:43 UTC
I'm going to assume this has been fixed; let me know if current CVS still has
problems.
Comment 3 Olivier Crête 2003-04-17 16:19:12 UTC
My HD died and I had to reinstall my system, and I havent seen the bug since...


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.